Subject: Re: bug#16140: 24.3.50; GC tries to free invalid font objects

From: Dmitry Antipov <[email-masked]>
Date: Mon, 16 Dec 2013 19:26:59 +0400

On 12/16/2013 12:00 PM, Dmitry Antipov wrote:

> On 12/14/2013 01:51 PM, Eli Zaretskii wrote:
>
>> When I originally saw this, fnt->driver was NULL.  I added protection
>> against that, but then it crashed with non-NULL but still invalid
>> pointer.  Such pointers should never end up in font objects, so how
>> come they do?
>
> Hm...I've tried bloat-font quite a lot with my MinGW build, but didn't
> see anything similar.  Anyway, r115541 has an extra check for valid
> font driver pointer in font objects; if you hit this eassert, please
> let me know.

BTW, this may be caused by heap corruption, which I found and described
in Bug#16165.

Dmitry